## edu.wisc.ssec.mcidas
Class McIDASException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.wisc.ssec.mcidas.McIDASException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AreaFileException

public class McIDASException
extends Exception

McIDASException class is to handle exceptions when dealing with McIDAS files or data.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`McIDASException()` Constructs a McIDASException with no specified detail message.
`McIDASException(String s)` Constructs a McIDASException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### McIDASException

    public McIDASException()

  Constructs a McIDASException with no specified detail message.

### McIDASException

    public McIDASException(String s)

  Constructs a McIDASException with the specified detail message.

Parameters:
  `s` - the detail message.